Commit 47fe717b authored by Mikhail Glushenkov's avatar Mikhail Glushenkov
Browse files

Temporarily disable QuickCheck >= 2.7.

It's not supported by latest test-framework. See
https://github.com/haskell/test-framework/issues/2
parent 64d70f85
...@@ -233,7 +233,7 @@ test-suite unit-tests ...@@ -233,7 +233,7 @@ test-suite unit-tests
test-framework-hunit, test-framework-hunit,
test-framework-quickcheck2, test-framework-quickcheck2,
HUnit, HUnit,
QuickCheck, QuickCheck < 2.7,
Cabal Cabal
ghc-options: -Wall ghc-options: -Wall
default-language: Haskell98 default-language: Haskell98
...@@ -277,7 +277,7 @@ test-suite package-tests ...@@ -277,7 +277,7 @@ test-suite package-tests
test-framework-quickcheck2 >= 0.2.12, test-framework-quickcheck2 >= 0.2.12,
test-framework-hunit, test-framework-hunit,
HUnit, HUnit,
QuickCheck >= 2.1.0.1, QuickCheck >= 2.1.0.1 && < 2.7,
Cabal, Cabal,
process, process,
directory, directory,
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment